> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerate Ai Text



## OpenAPI

````yaml post /comms/chat/regenerate-suggestion
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/chat/regenerate-suggestion:
    post:
      tags:
        - provider
        - comms
      summary: Regenerate Ai Text
      operationId: regenerate_ai_text_comms_chat_regenerate_suggestion_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegenerateAISuggestion'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/SuggestedMessageSummary'
                  - $ref: '#/components/schemas/ToolCallSummary'
                title: >-
                  Response Regenerate Ai Text Comms Chat Regenerate Suggestion
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RegenerateAISuggestion:
      properties:
        suggestedMessageId:
          type: string
          title: Suggestedmessageid
        feedback:
          type: string
          title: Feedback
      type: object
      required:
        - suggestedMessageId
        - feedback
      title: RegenerateAISuggestion
    SuggestedMessageSummary:
      properties:
        id:
          type: string
          title: Id
        chatId:
          type: string
          title: Chatid
        fromMessageId:
          type: string
          title: Frommessageid
        content:
          type: string
          title: Content
        assistantId:
          type: string
          title: Assistantid
        isSelected:
          type: boolean
          title: Isselected
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - chatId
        - fromMessageId
        - content
        - assistantId
        - isSelected
        - createdDate
      title: SuggestedMessageSummary
    ToolCallSummary:
      properties:
        id:
          type: string
          title: Id
        callId:
          anyOf:
            - type: string
            - type: 'null'
          title: Callid
        messageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Messageid
        alertId:
          anyOf:
            - type: string
            - type: 'null'
          title: Alertid
        toolName:
          type: string
          title: Toolname
        toolArguments:
          type: object
          title: Toolarguments
        toolCallId:
          anyOf:
            - type: string
            - type: 'null'
          title: Toolcallid
        result:
          anyOf:
            - type: object
            - type: 'null'
          title: Result
        toolCallDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Toolcalldescription
        hasBeenCalled:
          type: boolean
          title: Hasbeencalled
          default: false
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - toolName
        - toolArguments
        - createdDate
      title: ToolCallSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````